package com.liquidnet.service.executor.main.handler;

import com.liquidnet.service.feign.sweet.task.FeignSweetTaskActivityClient;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * sweet
 */
@Component
public class SweetCityVoteTaskHandler {
    private static final Logger log = LoggerFactory.getLogger(SweetCityVoteTaskHandler.class);

    @Autowired
    private FeignSweetTaskActivityClient feignSweetTaskActivityClient;

    @XxlJob(value = "sev-sweet:cityVoteStat")
    public ReturnT<String> cityVoteStatHandler() {
        try {
            feignSweetTaskActivityClient.setStatList().getData();
            log.info("cityVoteStatHandler：结果：success");
            return ReturnT.SUCCESS;
        } catch (Exception e) {
            return ReturnT.FAIL;
        }
    }

}
